package Task::Moose;

our $VERSION   = '0.02';
our $AUTHORITY = 'cpan:STEVAN';

1;

__END__

=pod

=head1 NAME

Task::Moose - Moose in a box

=head1 DESCRIPTION

This Task installs Moose and then optionally installs a number of 
Moose extensions listed below. This list is meant to be comprehensive, 
so if I missed something please let me know.

=head1 MODULES

=head2 Make Moose Stricter

=head3 MooseX::StrictConstructor 

Making Moose constructors stricter

=head3 MooseX::Params::Validate

Moose-ish method parameter handling

=head2  Traits / Roles

=head3 MooseX::Role::TraitConstructor

Runtime Trait application in constructors

=head3 MooseX::Traits

Easy creation of objects with traits

=head3 MooseX::Object::Pluggable

Moose-ish plugin system

=head3 MooseX::Role::Parameterized

Parameterized roles

=head2 Instance Types

=head3 MooseX::GlobRef

Globref instance type for Moose

=head3 MooseX::InsideOut

Inside-Out instance type for Moose

=head3 MooseX::Singleton

Singleton support role

=head3 MooseX::NonMoose

Subclassing of non-Moose classes

=head2 Declarative Syntax

=head3 MooseX::Declare

Declarative syntax

=head3 MooseX::Method::Signatures

Declarative method syntax

=head2 Types

=head3 MooseX::Types

Moose type extensions

=head3 MooseX::Types::Structured

Structured type constraints

=head3 MooseX::Types::Path::Class

Path::Class Moose type extension

=head3 MooseX::Types::Set::Object

Set::Object Moose type extension

=head3 MooseX::Types::DateTime

DateTime Moose type extension

=head2 Command line integration

=head3 MooseX::Getopt

Better script writing with Moose

=head3 MooseX::ConfigFromFile

Support for config with MooseX::Getopt

=head3 MooseX::SimpleConfig

Config file support for MooseX::Getopt with Config::Any

=head3 MooseX::App::Cmd

App::Cmd integration for Moose

=head3 MooseX::Role::Cmd

Easily wrap command line apps with Moose

=head2 Logging

=head3 MooseX::LogDispatch

LogDispatch support for Moose

=head3 MooseX::LazyLogDispatch

Lazy loaded LogDispatch support for Moose

=head3 MooseX::Log::Log4perl

Log4perl support for Moose

=head2 Async

=head3 MooseX::POE

Moose wrapped POE

=head3 MooseX::Workers

Sub-process management for asynchronous tasks using Moose and POE

=head2 Utility Roles

=head3 MooseX::Daemonize

Daemonization support roles for Moose

=head3 MooseX::Param

CGI-style parameter role

=head3 MooseX::Iterator

Moose-ish Iterator support role

=head3 MooseX::Clone

More robust and flexible cloning support

=head3 MooseX::Storage

Moose serialization

=head2 Other Useful Extensions

=head3 Moose::Autobox

Autoboxing support

=head3 MooseX::ClassAttribute

Class attributes for Moose

=head3 MooseX::SemiAffordanceAccessor

Support for PBP style accessors

# Utilities

feature 'Moose support tools',
  -default               => 0,
  'Pod::Coverage::Moose' => 0;


=head1 NOTES

L<MooseX::AttributeHelpers> has been removed from this list because
its functionality has been subsumed into L<Moose> itself. See
L<Moose::Meta::Attribute::Native> for more details.

=head1 BUGS

All complex software has bugs lurking in it, and this module is no 
exception. If you find a bug please either email me, or add the bug
to cpan-RT.

=head1 AUTHOR

Stevan Little E<lt>stevan.little@iinteractive.comE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright 2008 Infinity Interactive, Inc.

L<http://www.iinteractive.com>

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

=cut
